.map-block {
    position: relative;
    height: 550px;
}

.map-block .loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.map-block iframe {
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 1;
    border-radius: 15px;
}

.location-card {
    gap: 20px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    line-height: 1.3;
    font-size: 18px;
    height: 100%;
    padding: 15px;
    border-radius: 15px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.location-card:hover:not(.location-card.active-map) {
    background-color: #f1f1f1;
}

.location-card.active-map {
    background-color: #e6f5ff;
}

.location-card .h5,
.location-card p {
    margin-bottom: 0;
    line-height: 1.3 !important;
}

.location-card .h5 {
    font-size: 30px !important;
}

.location-card a {
    text-decoration: none !important;
}

.location-slider-wrapper .owl-progress {
    width: 41%;
    height: 8px;
    background: #D9D9D9;
    margin: 30px auto 0;
    border-radius: 4px;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.location-slider-wrapper .owl-progress-bar {
    height: 8px;
    width: 0%;
    background: #040B22;
    border-radius: 4px;
    transition: width 0.4s ease;
}

.location-slider-wrapper {
    margin-top: 50px;
}

.location-slider-wrapper .owl-stage {
    display: flex;
}

.location-card .wysiwgy-content {
    margin-bottom: 0;
}

.location-card ul {
    padding-left: 0;
}

.location-card ul li {
    margin-bottom: 0;
}

.location-card ul li::before {
    display: none;
}

@media (max-width: 1199px) {
    .location-card .home-location-icon {
        width: 50px;
        height: 50px;
    }
}

@media (max-width: 991px) {
    .map-block {
        height: 450px;
    }
}

@media (max-width: 767px) {
    .map-block {
        height: 394px;
    }

    .location-slider-wrapper .owl-progress {
        display: none;
    }

    .location-slider.owl-carousel {
        display: block;
    }

    .location-card {
        margin-top: 30px;
        font-size: 16px;
    }
}